com.docuverse.identicon

## Class NineBlockIdenticonRenderer2

- java.lang.Object
- - com.docuverse.identicon.NineBlockIdenticonRenderer2

- All Implemented Interfaces:
    IdenticonRenderer

      public class NineBlockIdenticonRenderer2
      extends Object
      implements IdenticonRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NineBlockIdenticonRenderer2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getBackgroundColor()`
    `float` | `getPatchSize()`
    `BufferedImage` | `render(BigInteger code, int size)` Returns rendered identicon image for given identicon code.
    `BufferedImage` | `render(int code, int size)` Returns rendered identicon image for given identicon code encoded as a 32-bit signed integer.
    `void` | `setBackgroundColor(Color backgroundColor)`
    `void` | `setPatchSize(float size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NineBlockIdenticonRenderer2

          public NineBlockIdenticonRenderer2()

  - ### Method Detail

    - #### getBackgroundColor

          public Color getBackgroundColor()

    - #### getPatchSize

          public float getPatchSize()

    - #### render

          public BufferedImage render(BigInteger code,
                                      int size)

      Description copied from interface: `IdenticonRenderer`
      Returns rendered identicon image for given identicon code.
      Specified by:
        `render` in interface `IdenticonRenderer`
      Parameters:
        `code` - identicon code
        `size` - image size
      Returns:
        identicon image

    - #### render

          public BufferedImage render(int code,
                                      int size)

      Description copied from interface: `IdenticonRenderer`
      Returns rendered identicon image for given identicon code encoded as a 32-bit signed integer.
      Specified by:
        `render` in interface `IdenticonRenderer`
      Parameters:
        `code` - identicon code
        `size` - image size
      Returns:
        identicon image

    - #### setBackgroundColor

          public void setBackgroundColor(Color backgroundColor)

    - #### setPatchSize

          public void setPatchSize(float size)